QwtPlotPicker(3)

NAME
QwtPlotPicker -

QwtPlotPicker provides selections on a plot canvas.

SYNOPSIS

#include <qwt_plot_picker.h>

Inherits QwtPicker.

Inherited by QwtPlotZoomer.

  Public Types
enum DisplayMode { AlwaysOff, AlwaysOn, ActiveOnly }
enum KeyPatternCode { KeySelect1, KeySelect2, KeyAbort, KeyLeft, KeyRight, KeyUp, KeyDown, KeyRedo, KeyUndo, KeyHome, KeyPatternCount }
enum MousePatternCode { MouseSelect1, MouseSelect2, MouseSelect3, MouseSelect4, MouseSelect5, MouseSelect6, MousePatternCount }
enum RectSelectionType { CornerToCorner = 64, CenterToCorner = 128, CenterToRadius = 256 }
enum ResizeMode { Stretch, KeepSize }
enum RubberBand { NoRubberBand = 0, HLineRubberBand, VLineRubberBand, CrossRubberBand, RectRubberBand, EllipseRubberBand, PolygonRubberBand, UserRubberBand = 100 }
enum SelectionMode { ClickSelection = 1024, DragSelection = 2048 }
enum SelectionType { NoSelection = 0, PointSelection = 1, RectSelection = 2, PolygonSelection = 4 }

  Signals
void appended (const QwtDoublePoint &pos)
void appended (const QPoint &pos)
void changed (const QwtPolygon &pa)
void moved (const QwtDoublePoint &pos)
void moved (const QPoint &pos)
void selected (const QwtDoublePoint &pos)
void selected (const QwtDoubleRect &rect)
void selected (const QwtPolygon &pa)
void selected (const QwtArray< QwtDoublePoint > &pa)

  Public Member Functions
QwtPlotCanvas * canvas ()
const QwtPlotCanvas * canvas () const
virtual void drawRubberBand (QPainter *) const
virtual void drawTracker (QPainter *) const
virtual bool eventFilter (QObject *, QEvent *)
void initKeyPattern ()
void initMousePattern (int numButtons)
bool isActive () const
bool isEnabled () const
bool keyMatch (uint pattern, const QKeyEvent *) const
const QwtArray< KeyPattern > & keyPattern () const
QwtArray< KeyPattern > & keyPattern ()
bool mouseMatch (uint pattern, const QMouseEvent *) const
QwtArray< MousePattern > & mousePattern ()
const QwtArray< MousePattern > & mousePattern () const
QWidget * parentWidget ()
const QWidget * parentWidget () const
virtual QRect pickRect () const
const QwtPlot * plot () const
QwtPlot * plot ()
QwtPlotPicker (QwtPlotCanvas *)
QwtPlotPicker (int xAxis, int yAxis, int selectionFlags, RubberBand rubberBand, DisplayMode trackerMode, QwtPlotCanvas *)
QwtPlotPicker (int xAxis, int yAxis, QwtPlotCanvas *)
ResizeMode resizeMode () const
RubberBand rubberBand () const
QPen rubberBandPen () const
const QwtPolygon & selection () const
int selectionFlags () const
virtual void setAxis (int xAxis, int yAxis)
virtual void setEnabled (bool)
void setKeyPattern (uint pattern, int key, int state=Qt::NoButton)
void setKeyPattern (const QwtArray< KeyPattern > &)
void setMousePattern (const QwtArray< MousePattern > &)
void setMousePattern (uint pattern, int button, int state=Qt::NoButton)
virtual void setResizeMode (ResizeMode)
virtual void setRubberBand (RubberBand)
virtual void setRubberBandPen (const QPen &)
virtual void setSelectionFlags (int)
virtual void setTrackerFont (const QFont &)
virtual void setTrackerMode (DisplayMode)
virtual void setTrackerPen (const QPen &)
QFont trackerFont () const
DisplayMode trackerMode () const
QPen trackerPen () const
QPoint trackerPosition () const
QRect trackerRect (const QFont &) const
int xAxis () const
int yAxis () const
virtual ~QwtPlotPicker ()

  Protected Member Functions
virtual bool accept (QwtPolygon &selection) const
virtual void append (const QPoint &)
virtual void begin ()
virtual bool end (bool ok=true)
QwtDoublePoint invTransform (const QPoint &) const
QwtDoubleRect invTransform (const QRect &) const
virtual bool keyMatch (const KeyPattern &, const QKeyEvent *) const
virtual bool mouseMatch (const MousePattern &, const QMouseEvent *) const
virtual void move (const QPoint &)
virtual void reset ()
const QWidget * rubberBandWidget () const
QwtDoubleRect scaleRect () const
virtual QwtPickerMachine * stateMachine (int) const
virtual void stretchSelection (const QSize &oldSize, const QSize &newSize)
virtual QwtText trackerText (const QPoint &) const
virtual QwtText trackerText (const QwtDoublePoint &) const
const QWidget * trackerWidget () const
QPoint transform (const QwtDoublePoint &) const
QRect transform (const QwtDoubleRect &) const
virtual void transition (const QEvent *)
virtual void updateDisplay ()
virtual void widgetKeyPressEvent (QKeyEvent *)
virtual void widgetKeyReleaseEvent (QKeyEvent *)
virtual void widgetLeaveEvent (QEvent *)
virtual void widgetMouseDoubleClickEvent (QMouseEvent *)
virtual void widgetMouseMoveEvent (QMouseEvent *)
virtual void widgetMousePressEvent (QMouseEvent *)
virtual void widgetMouseReleaseEvent (QMouseEvent *)
virtual void widgetWheelEvent (QWheelEvent *)

Detailed Description

QwtPlotPicker provides selections on a plot canvas. QwtPlotPicker is a QwtPicker tailored for selections on a plot canvas. It is set to a x-Axis and y-Axis and translates all pixel coordinates into this coodinate system.

Member Enumeration Documentation

  enum QwtPicker::DisplayMode [inherited] .IP • 2
AlwaysOff
 Display never.

•   AlwaysOn
     Display always.

•   ActiveOnly
     Display only when the selection is active.

See also:
    QwtPicker::setTrackerMode(), QwtPicker::trackerMode(), QwtPicker::isActive()

  enum QwtEventPattern::KeyPatternCode [inherited]

Symbolic keyboard input codes. Default initialization:

•   KeySelect1
     Qt::Key_Return

•   KeySelect2
     Qt::Key_Space

•   KeyAbort
     Qt::Key_Escape

•   KeyLeft
     Qt::Key_Left

•   KeyRight
     Qt::Key_Right

•   KeyUp
     Qt::Key_Up

•   KeyDown
     Qt::Key_Down

•   KeyUndo
     Qt::Key_Minus

•   KeyRedo
     Qt::Key_Plus

•   KeyHome
     Qt::Key_Escape

  enum QwtEventPattern::MousePatternCode [inherited]

Symbolic mouse input codes. The default initialization for 3 button mice is:

•   MouseSelect1
     Qt::LeftButton

•   MouseSelect2
     Qt::RightButton

•   MouseSelect3
     Qt::MidButton

•   MouseSelect4
     Qt::LeftButton + Qt::ShiftButton

•   MouseSelect5
     Qt::RightButton + Qt::ShiftButton

•   MouseSelect6
     Qt::MidButton + Qt::ShiftButton

The default initialization for 2 button mice is:

•   MouseSelect1
     Qt::LeftButton

•   MouseSelect2
     Qt::RightButton

•   MouseSelect3
     Qt::LeftButton + Qt::AltButton

•   MouseSelect4
     Qt::LeftButton + Qt::ShiftButton

•   MouseSelect5
     Qt::RightButton + Qt::ShiftButton

•   MouseSelect6
     Qt::LeftButton + Qt::AltButton + Qt::ShiftButton

The default initialization for 1 button mice is:

•   MouseSelect1
     Qt::LeftButton

•   MouseSelect2
     Qt::LeftButton + Qt::ControlButton

•   MouseSelect3
     Qt::LeftButton + Qt::AltButton

•   MouseSelect4
     Qt::LeftButton + Qt::ShiftButton

•   MouseSelect5
     Qt::LeftButton + Qt::ControlButton + Qt::ShiftButton

•   MouseSelect6
     Qt::LeftButton + Qt::AltButton + Qt::ShiftButton

See also:
    initMousePattern()

  enum QwtPicker::RectSelectionType [inherited]

Selection subtype for RectSelection This enum type describes the type of rectangle selections. It can be or'd with QwtPicker::RectSelectionType and QwtPicker::SelectionMode and passed to QwtPicker::setSelectionFlags().

•   CornerToCorner
     The first and the second selected point are the corners of the rectangle.

•   CenterToCorner
     The first point is the center, the second a corner of the rectangle.

•   CenterToRadius
     The first point is the center of a quadrat, calculated by the maximum of the x- and y-distance.

The default value is CornerToCorner.

See also:
    QwtPicker::setSelectionFlags(), QwtPicker::selectionFlags()

  enum QwtPicker::ResizeMode [inherited] Controls what to do with the selected points of an active selection when the observed widget is resized.

•   Stretch
     All points are scaled according to the new size,

•   KeepSize
     All points remain unchanged.

The default value is Stretch.

See also:
    QwtPicker::setResizeMode(), QwtPicker::resize()

  enum QwtPicker::RubberBand [inherited] Rubberband style

•   NoRubberBand
     No rubberband.

•   HLineRubberBand & PointSelection
     A horizontal line.

•   VLineRubberBand & PointSelection
     A vertical line.

•   CrossRubberBand & PointSelection
     A horizontal and a vertical line.

•   RectRubberBand & RectSelection
     A rectangle.

•   EllipseRubberBand & RectSelection
     An ellipse.

•   PolygonRubberBand &PolygonSelection
     A polygon.

•   UserRubberBand
     Values >= UserRubberBand can be used to define additional rubber bands.

The default value is NoRubberBand.

See also:
    QwtPicker::setRubberBand(), QwtPicker::rubberBand()

  enum QwtPicker::SelectionMode [inherited] Values of this enum type or'd together with a SelectionType value identifies which state machine should be used for the selection.

The default value is ClickSelection.

See also:
    stateMachine()

  enum QwtPicker::SelectionType [inherited] This enum type describes the type of a selection. It can be or'd with QwtPicker::RectSelectionType and QwtPicker::SelectionMode and passed to QwtPicker::setSelectionFlags()

•   NoSelection
     Selection is disabled. Note this is different to the disabled state, as you might have a tracker.

•   PointSelection
     Select a single point.

•   RectSelection
     Select a rectangle.

•   PolygonSelection
     Select a polygon.

The default value is NoSelection.

See also:
    QwtPicker::setSelectionFlags(), QwtPicker::selectionFlags()

Constructor & Destructor Documentation

  QwtPlotPicker::QwtPlotPicker (QwtPlotCanvas *canvas) [explicit]

Create a plot picker. The picker is set to those x- and y-axis of the plot that are enabled. If both or no x-axis are enabled, the picker is set to QwtPlot::xBottom. If both or no y-axis are enabled, it is set to QwtPlot::yLeft.

Parameters:
    canvas Plot canvas to observe, also the parent object

See also:
    QwtPlot::autoReplot(), QwtPlot::replot(), QwtPlotPicker::scaleRect()

  QwtPlotPicker::~QwtPlotPicker () [virtual]

Destructor.

  QwtPlotPicker::QwtPlotPicker (intxAxis, intyAxis, QwtPlotCanvas *canvas) [explicit] Create a plot picker

Parameters:
    xAxis Set the x axis of the picker
    yAxis Set the y axis of the picker
    canvas Plot canvas to observe, also the parent object

See also:
    QwtPlot::autoReplot(), QwtPlot::replot(), QwtPlotPicker::scaleRect()

  QwtPlotPicker::QwtPlotPicker (intxAxis, intyAxis, intselectionFlags, RubberBandrubberBand, DisplayModetrackerMode, QwtPlotCanvas *canvas) [explicit] Create a plot picker

Parameters:
    xAxis X axis of the picker
    yAxis Y axis of the picker
    selectionFlags Or'd value of SelectionType, RectSelectionType and SelectionMode
    rubberBand Rubberband style
    trackerMode Tracker mode
    canvas Plot canvas to observe, also the parent object

See also:
    QwtPicker, QwtPicker::setSelectionFlags(), QwtPicker::setRubberBand(), QwtPicker::setTrackerMode

    QwtPlot::autoReplot(), QwtPlot::replot(), QwtPlotPicker::scaleRect()

Member Function Documentation

  bool QwtPicker::accept (QwtPolygon &selection) const [protected, virtual, inherited]

Validate and fixup the selection. Accepts all selections unmodified

Parameters:
    selection Selection to validate and fixup

Returns:
    true, when accepted, false otherwise

Reimplemented in QwtPlotZoomer.

  void QwtPlotPicker::append (const QPoint &pos) [protected, virtual] Append a point to the selection and update rubberband and tracker.

Parameters:
    pos Additional point

See also:
    isActive, begin(), end(), move(), appended()

Note:
    The appended(const QPoint &), appended(const QDoublePoint &) signals are emitted.

Reimplemented from QwtPicker.

  void QwtPlotPicker::appended (const QwtDoublePoint &pos) [signal] A signal emitted when a point has been appended to the selection

Parameters:
    pos Position of the appended point.

See also:
    append(). moved()

  void QwtPicker::appended (const QPoint &pos) [signal, inherited] A signal emitted when a point has been appended to the selection

Parameters:
    pos Position of the appended point.

See also:
    append(). moved()

  void QwtPicker::begin () [protected, virtual, inherited] Open a selection setting the state to active

See also:
    isActive(), end(), append(), move()

Reimplemented in QwtPlotZoomer.

  QwtPlotCanvas * QwtPlotPicker::canvas ()

Return observed plot canvas.

  const QwtPlotCanvas * QwtPlotPicker::canvas () const

Return Observed plot canvas.

  void QwtPicker::changed (const QwtPolygon &pa) [signal, inherited] A signal emitted when the active selection has been changed. This might happen when the observed widget is resized.

Parameters:
    pa Changed selection

See also:
    stretchSelection()

  void QwtPicker::drawRubberBand (QPainter *painter) const [virtual, inherited] Draw a rubberband , depending on rubberBand() and selectionFlags()

Parameters:
    painter Painter, initialized with clip rect

See also:
    rubberBand(), RubberBand, selectionFlags()

  void QwtPicker::drawTracker (QPainter *painter) const [virtual, inherited] Draw the tracker

Parameters:
    painter Painter

See also:
    trackerRect(), trackerText()

  bool QwtPlotPicker::end (boolok = true) [protected, virtual] Close a selection setting the state to inactive.

Parameters:
    ok If true, complete the selection and emit selected signals otherwise discard the selection.

Returns:
    true if the selection is accepted, false otherwise

Reimplemented from QwtPicker.

Reimplemented in QwtPlotZoomer.

  bool QwtPicker::eventFilter (QObject *o, QEvent *e) [virtual, inherited]

Event filter. When isEnabled() == true all events of the observed widget are filtered. Mouse and keyboard events are translated into widgetMouse- and widgetKey- and widgetWheel-events. Paint and Resize events are handled to keep rubberband and tracker up to date.

See also:
    event(), widgetMousePressEvent(), widgetMouseReleaseEvent(), widgetMouseDoubleClickEvent(), widgetMouseMoveEvent(), widgetWheelEvent(), widgetKeyPressEvent(), widgetKeyReleaseEvent()

  void QwtEventPattern::initKeyPattern () [inherited] Set default mouse patterns.

See also:
    KeyPatternCode

  void QwtEventPattern::initMousePattern (intnumButtons) [inherited] Set default mouse patterns, depending on the number of mouse buttons

Parameters:
    numButtons Number of mouse buttons ( <= 3 )

See also:
    MousePatternCode

  QwtDoublePoint QwtPlotPicker::invTransform (const QPoint &pos) const [protected] Translate a point from pixel into plot coordinates

Returns:
    Point in plot coordinates

See also:
    QwtPlotPicker::transform()

  QwtDoubleRect QwtPlotPicker::invTransform (const QRect &rect) const [protected] Translate a rectangle from pixel into plot coordinates

Returns:
    Rectangle in plot coordinates

See also:
    QwtPlotPicker::transform()

  bool QwtPicker::isActive () const [inherited] A picker is active between begin() and end().

Returns:
    true if the selection is active.

  bool QwtPicker::isEnabled () const [inherited] Returns:
    true when enabled, false otherwise

See also:
    setEnabled(), eventFilter()

  bool QwtEventPattern::keyMatch (uintpattern, const QKeyEvent *e) const [inherited]

Compare a key event with an event pattern. A key event matches the pattern when both have the same key value and in the state value the same key flags (Qt::KeyButtonMask) are set.

Parameters:
    pattern Index of the event pattern
    e Key event

Returns:
    true if matches

See also:
    mouseMatch()

  bool QwtEventPattern::keyMatch (const KeyPattern &pattern, const QKeyEvent *e) const [protected, virtual, inherited]

Compare a key event with an event pattern. A key event matches the pattern when both have the same key value and in the state value the same key flags (Qt::KeyButtonMask) are set.

Parameters:
    pattern Key event pattern
    e Key event

Returns:
    true if matches

See also:
    mouseMatch()

  const QwtArray< QwtEventPattern::KeyPattern > & QwtEventPattern::keyPattern () const [inherited]

Return key patterns.

  QwtArray< QwtEventPattern::KeyPattern > & QwtEventPattern::keyPattern () [inherited]

Return Key patterns.

  bool QwtEventPattern::mouseMatch (const MousePattern &pattern, const QMouseEvent *e) const [protected, virtual, inherited]

Compare a mouse event with an event pattern. A mouse event matches the pattern when both have the same button value and in the state value the same key flags(Qt::KeyButtonMask) are set.

Parameters:
    pattern Mouse event pattern
    e Mouse event

Returns:
    true if matches

See also:
    keyMatch()

  bool QwtEventPattern::mouseMatch (uintpattern, const QMouseEvent *e) const [inherited]

Compare a mouse event with an event pattern. A mouse event matches the pattern when both have the same button value and in the state value the same key flags(Qt::KeyButtonMask) are set.

Parameters:
    pattern Index of the event pattern
    e Mouse event

Returns:
    true if matches

See also:
    keyMatch()

  const QwtArray< QwtEventPattern::MousePattern > & QwtEventPattern::mousePattern () const [inherited]

Return mouse patterns.

  QwtArray< QwtEventPattern::MousePattern > & QwtEventPattern::mousePattern () [inherited]

Return ,ouse patterns.

  void QwtPlotPicker::move (const QPoint &pos) [protected, virtual] Move the last point of the selection

Parameters:
    pos New position

See also:
    isActive, begin(), end(), append()

Note:
    The moved(const QPoint &), moved(const QDoublePoint &) signals are emitted.

Reimplemented from QwtPicker.

  void QwtPlotPicker::moved (const QwtDoublePoint &pos) [signal] A signal emitted whenever the last appended point of the selection has been moved.

Parameters:
    pos Position of the moved last point of the selection.

See also:
    move(), appended()

  void QwtPicker::moved (const QPoint &pos) [signal, inherited] A signal emitted whenever the last appended point of the selection has been moved.

Parameters:
    pos Position of the moved last point of the selection.

See also:
    move(), appended()

  const QWidget * QwtPicker::parentWidget () const [inherited]

Return the parent widget, where the selection happens.

  QWidget * QwtPicker::parentWidget () [inherited]

Return the parent widget, where the selection happens.

  QRect QwtPicker::pickRect () const [virtual, inherited] Find the area of the observed widget, where selection might happen.

Returns:
    QFrame::contentsRect() if it is a QFrame, QWidget::rect() otherwise.

  const QwtPlot * QwtPlotPicker::plot () const

Return plot widget, containing the observed plot canvas.

  QwtPlot * QwtPlotPicker::plot ()

Return plot widget, containing the observed plot canvas.

  void QwtPicker::reset () [protected, virtual, inherited] Reset the state machine and terminate (end(false)) the selection

  QwtPicker::ResizeMode QwtPicker::resizeMode () const [inherited] Returns:
    Resize mode

See also:
    setResizeMode(), ResizeMode

  QwtPicker::RubberBand QwtPicker::rubberBand () const [inherited] Returns:
    Rubberband style

See also:
    setRubberBand(), RubberBand, rubberBandPen()

  QPen QwtPicker::rubberBandPen () const [inherited] Returns:
    Rubberband pen

See also:
    setRubberBandPen(), rubberBand()

  const QWidget * QwtPicker::rubberBandWidget () const [protected, inherited] Returns:
    Widget displaying the rubberband

  QwtDoubleRect QwtPlotPicker::scaleRect () const [protected] Return normalized bounding rect of the axes

See also:
    QwtPlot::autoReplot(), QwtPlot::replot().

  void QwtPlotPicker::selected (const QwtDoublePoint &pos) [signal] A signal emitted in case of selectionFlags() & PointSelection.

Parameters:
    pos Selected point

  void QwtPlotPicker::selected (const QwtDoubleRect &rect) [signal] A signal emitted in case of selectionFlags() & RectSelection.

Parameters:
    rect Selected rectangle

  void QwtPlotPicker::selected (const QwtArray< QwtDoublePoint > &pa) [signal] A signal emitting the selected points, at the end of a selection.

Parameters:
    pa Selected points

  void QwtPicker::selected (const QwtPolygon &pa) [signal, inherited] A signal emitting the selected points, at the end of a selection.

Parameters:
    pa Selected points

  const QwtPolygon & QwtPicker::selection () const [inherited]

Return Selected points.

  int QwtPicker::selectionFlags () const [inherited] Returns:
    Selection flags, an Or'd value of SelectionType, RectSelectionType and SelectionMode.

See also:
    setSelectionFlags(), SelectionType, RectSelectionType, SelectionMode

  void QwtPlotPicker::setAxis (intxAxis, intyAxis) [virtual] Set the x and y axes of the picker

Parameters:
    xAxis X axis
    yAxis Y axis

Reimplemented in QwtPlotZoomer.

  void QwtPicker::setEnabled (boolenabled) [virtual, inherited]

En/disable the picker. When enabled is true an event filter is installed for the observed widget, otherwise the event filter is removed.

Parameters:
    enabled true or false

See also:
    isEnabled(), eventFilter()

  void QwtEventPattern::setKeyPattern (uintpattern, intkey, intstate = Qt::NoButton) [inherited] Change one key pattern

Parameters:
    pattern Index of the pattern
    key Key
    state State

See also:
    QKeyEvent

  void QwtEventPattern::setKeyPattern (const QwtArray< KeyPattern > &pattern) [inherited]

Change the key event patterns.

  void QwtEventPattern::setMousePattern (const QwtArray< MousePattern > &pattern) [inherited]

Change the mouse event patterns.

  void QwtEventPattern::setMousePattern (uintpattern, intbutton, intstate = Qt::NoButton) [inherited] Change one mouse pattern

Parameters:
    pattern Index of the pattern
    button Button
    state State

See also:
    QMouseEvent

  void QwtPicker::setResizeMode (ResizeModemode) [virtual, inherited]

Set the resize mode. The resize mode controls what to do with the selected points of an active selection when the observed widget is resized.

Stretch means the points are scaled according to the new size, KeepSize means the points remain unchanged.

The default mode is Stretch.

Parameters:
    mode Resize mode

See also:
    resizeMode(), ResizeMode

  void QwtPicker::setRubberBand (RubberBandrubberBand) [virtual, inherited] Set the rubberband style

Parameters:
    rubberBand Rubberband style The default value is NoRubberBand.

See also:
    rubberBand(), RubberBand, setRubberBandPen()

  void QwtPicker::setRubberBandPen (const QPen &pen) [virtual, inherited] Set the pen for the rubberband

Parameters:
    pen Rubberband pen

See also:
    rubberBandPen(), setRubberBand()

  void QwtPicker::setSelectionFlags (intflags) [virtual, inherited] Set the selection flags

Parameters:
    flags Or'd value of SelectionType, RectSelectionType and SelectionMode. The default value is NoSelection.

See also:
    selectionFlags(), SelectionType, RectSelectionType, SelectionMode

Reimplemented in QwtPlotZoomer.

  void QwtPicker::setTrackerFont (const QFont &font) [virtual, inherited] Set the font for the tracker

Parameters:
    font Tracker font

See also:
    trackerFont(), setTrackerMode(), setTrackerPen()

  void QwtPicker::setTrackerMode (DisplayModemode) [virtual, inherited]

Set the display mode of the tracker. A tracker displays information about current position of the cursor as a string. The display mode controls if the tracker has to be displayed whenever the observed widget has focus and cursor (AlwaysOn), never (AlwaysOff), or only when the selection is active (ActiveOnly).

Parameters:
    mode Tracker display mode

Warning:
    In case of AlwaysOn, mouseTracking will be enabled for the observed widget.

See also:
    trackerMode(), DisplayMode

  void QwtPicker::setTrackerPen (const QPen &pen) [virtual, inherited] Set the pen for the tracker

Parameters:
    pen Tracker pen

See also:
    trackerPen(), setTrackerMode(), setTrackerFont()

  QwtPickerMachine * QwtPicker::stateMachine (intflags) const [protected, virtual, inherited] Create a state machine depending on the selection flags.

•   PointSelection | ClickSelection
     QwtPickerClickPointMachine()

•   PointSelection | DragSelection
     QwtPickerDragPointMachine()

•   RectSelection | ClickSelection
     QwtPickerClickRectMachine()

•   RectSelection | DragSelection
     QwtPickerDragRectMachine()

•   PolygonSelection
     QwtPickerPolygonMachine()

See also:
    setSelectionFlags()

  void QwtPicker::stretchSelection (const QSize &oldSize, const QSize &newSize) [protected, virtual, inherited] Scale the selection by the ratios of oldSize and newSize The changed() signal is emitted.

Parameters:
    oldSize Previous size
    newSize Current size

See also:
    ResizeMode, setResizeMode(), resizeMode()

  QFont QwtPicker::trackerFont () const [inherited] Returns:
    Tracker font

See also:
    setTrackerFont(), trackerMode(), trackerPen()

  QwtPicker::DisplayMode QwtPicker::trackerMode () const [inherited] Returns:
    Tracker display mode

See also:
    setTrackerMode(), DisplayMode

  QPen QwtPicker::trackerPen () const [inherited] Returns:
    Tracker pen

See also:
    setTrackerPen(), trackerMode(), trackerFont()

  QPoint QwtPicker::trackerPosition () const [inherited] Returns:
    Current position of the tracker

  QRect QwtPicker::trackerRect (const QFont &font) const [inherited] Calculate the bounding rectangle for the tracker text from the current position of the tracker

Parameters:
    font Font of the tracker text

Returns:
    Bounding rectangle of the tracker text

See also:
    trackerPosition()

  QwtText QwtPlotPicker::trackerText (const QwtDoublePoint &pos) const [protected, virtual]

Translate a position into a position string. In case of HLineRubberBand the label is the value of the y position, in case of VLineRubberBand the value of the x position. Otherwise the label contains x and y position separated by a ',' .

The format for the double to string conversion is '%.4f'.

Parameters:
    pos Position

Returns:
    Position string

  QwtText QwtPlotPicker::trackerText (const QPoint &pos) const [protected, virtual] Translate a pixel position into a position string

Parameters:
    pos Position in pixel coordinates

Returns:
    Position string

Reimplemented from QwtPicker.

  const QWidget * QwtPicker::trackerWidget () const [protected, inherited] Returns:
    Widget displaying the tracker text

  QPoint QwtPlotPicker::transform (const QwtDoublePoint &pos) const [protected] Translate a point from plot into pixel coordinates

Returns:
    Point in pixel coordinates

See also:
    QwtPlotPicker::invTransform()

  QRect QwtPlotPicker::transform (const QwtDoubleRect &rect) const [protected] Translate a rectangle from plot into pixel coordinates

Returns:
    Rectangle in pixel coordinates

See also:
    QwtPlotPicker::invTransform()

  void QwtPicker::transition (const QEvent *e) [protected, virtual, inherited] Passes an event to the state machine and executes the resulting commands. Append and Move commands use the current position of the cursor (QCursor::pos()).

Parameters:
    e Event

  void QwtPicker::updateDisplay () [protected, virtual, inherited]

Update the state of rubberband and tracker label.

  void QwtPicker::widgetKeyPressEvent (QKeyEvent *ke) [protected, virtual, inherited] Handle a key press event for the observed widget.

Selections can be completely done by the keyboard. The arrow keys move the cursor, the abort key aborts a selection. All other keys are handled by the current state machine.

See also:
    QwtPicker, selectionFlags()

    eventFilter(), widgetMousePressEvent(), widgetMouseReleaseEvent(), widgetMouseDoubleClickEvent(), widgetMouseMoveEvent(), widgetWheelEvent(), widgetKeyReleaseEvent(), stateMachine(), QwtEventPattern::KeyPatternCode

Reimplemented in QwtPlotZoomer.

  void QwtPicker::widgetKeyReleaseEvent (QKeyEvent *ke) [protected, virtual, inherited] Handle a key release event for the observed widget.

Passes the event to the state machine.

See also:
    eventFilter(), widgetMousePressEvent(), widgetMouseReleaseEvent(), widgetMouseDoubleClickEvent(), widgetMouseMoveEvent(), widgetWheelEvent(), widgetKeyPressEvent(), stateMachine()

  void QwtPicker::widgetLeaveEvent (QEvent *) [protected, virtual, inherited] Handle a leave event for the observed widget.

See also:
    eventFilter(), widgetMousePressEvent(), widgetMouseReleaseEvent(), widgetMouseDoubleClickEvent(), widgetWheelEvent(), widgetKeyPressEvent(), widgetKeyReleaseEvent()

  void QwtPicker::widgetMouseDoubleClickEvent (QMouseEvent *me) [protected, virtual, inherited] Handle mouse double click event for the observed widget.

Empty implementation, does nothing.

See also:
    eventFilter(), widgetMousePressEvent(), widgetMouseReleaseEvent(), widgetMouseMoveEvent(), widgetWheelEvent(), widgetKeyPressEvent(), widgetKeyReleaseEvent()

  void QwtPicker::widgetMouseMoveEvent (QMouseEvent *e) [protected, virtual, inherited] Handle a mouse move event for the observed widget.

Move the last point of the selection in case of isActive() == true

See also:
    eventFilter(), widgetMousePressEvent(), widgetMouseReleaseEvent(), widgetMouseDoubleClickEvent(), widgetWheelEvent(), widgetKeyPressEvent(), widgetKeyReleaseEvent()

  void QwtPicker::widgetMousePressEvent (QMouseEvent *e) [protected, virtual, inherited] Handle a mouse press event for the observed widget.

Begin and/or end a selection depending on the selection flags.

See also:
    QwtPicker, selectionFlags()

    eventFilter(), widgetMouseReleaseEvent(), widgetMouseDoubleClickEvent(), widgetMouseMoveEvent(), widgetWheelEvent(), widgetKeyPressEvent(), widgetKeyReleaseEvent()

  void QwtPicker::widgetMouseReleaseEvent (QMouseEvent *e) [protected, virtual, inherited] Handle a mouse relase event for the observed widget.

End a selection depending on the selection flags.

See also:
    QwtPicker, selectionFlags()

    eventFilter(), widgetMousePressEvent(), widgetMouseDoubleClickEvent(), widgetMouseMoveEvent(), widgetWheelEvent(), widgetKeyPressEvent(), widgetKeyReleaseEvent()

Reimplemented in QwtPlotZoomer.

  void QwtPicker::widgetWheelEvent (QWheelEvent *e) [protected, virtual, inherited] Handle a wheel event for the observed widget.

Move the last point of the selection in case of isActive() == true

See also:
    eventFilter(), widgetMousePressEvent(), widgetMouseReleaseEvent(), widgetMouseDoubleClickEvent(), widgetMouseMoveEvent(), widgetKeyPressEvent(), widgetKeyReleaseEvent()

  int QwtPlotPicker::xAxis () const

Return x axis.

  int QwtPlotPicker::yAxis () const

Return y axis.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.